<?php

include_once('lib-common.php');

// Only let Root users access this page
if (!SEC_inGroup('Root')) {
    // Someone is trying to illegally access this page
    COM_errorLog("Someone has tried to illegally access the Rating install/uninstall page.  User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: $REMOTE_ADDR",1);
    $display = COM_siteHeader();
    $display .= COM_startBlock('Not allowed. Only admin can access.');
    $display .= 'Illegal access recorded';
    $display .= COM_endBlock();
    $display .= COM_siteFooter();
    echo $display;
    exit;
}
GLOBAL $_TABLES;

$createsql = "CREATE TABLE $_TABLES[ratings] ("
   ."type text," 
   ."id bigint(100) default NULL,"
   ."totalvotes int(100) NOT NULL default '0',"
   ."totalratings int(100) NOT NULL default '0',"
   ."rate int(10) NOT NULL default '0'"
   .")";
$createsql02 = "CREATE TABLE $_TABLES[rating_records] ("
   ."type text,"
   ."id bigint(100) default NULL,"
   ."username varchar(30) NOT NULL default '',"
   ."ip varchar(30) NOT NULL default '',"
   ."rate INT(10) NOT NULL DEFAULT '0',"
   ."date varchar(20) NOT NULL default '0'"
   .")"; 
   
    DB_query($createsql);
    DB_query($createsql02);
    if (DB_error()) {
        echo "Error Could not install rating $_TABLES[ratings]<p>";
        echo "Error Could not install rating $_TABLES[rating_records]";
        return false;
        exit();
    }
     echo "Installation successful. Continue with instructions";
     exit(0);
     
?>